﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace DigitalSchoolApi.Models
{
    /// <summary>
    /// 描 述：学校邮箱管理
    /// </summary>
    public class EmailManagementEntity
    {
        #region 实体成员
        /// <summary>
        /// 邮件账户主键
        /// </summary>
        public string F_Id { get; set; }
        /// <summary>
        /// 账户
        /// </summary>
        public string F_Account { get; set; }
        /// <summary>
        /// 密码
        /// </summary>
        public string F_Password { get; set; }
        /// <summary>
        /// 发件人名称
        /// </summary>
        public string F_SenderName { get; set; }
        /// <summary>
        /// 有效标志
        /// </summary>
        public int? F_EnabledMark { get; set; }
        /// <summary>
        /// 定时发送时间类型（天、周、月、年、）
        /// </summary>
        public string F_CronType { get; set; }
        /// <summary>
        /// 定时发送月
        /// </summary>
        public int? F_Month { get; set; }
        /// <summary>
        /// 定时发送日
        /// </summary>
        public int? F_Day { get; set; }
        /// <summary>
        /// 定时发送时
        /// </summary>
        public int? F_Hour { get; set; }
        /// <summary>
        /// 定时发送分
        /// </summary>
        public int? F_Minute { get; set; }
        /// <summary>
        /// 定时发送周
        /// </summary>
        public int? F_DayOfWeek { get; set; }
        /// <summary>
        /// 客户端授权码
        /// </summary>
        public string F_AuthorizeCode { get; set; }
        /// <summary>
        /// SMTP服务器
        /// </summary>
        public string F_SMTPServer { get; set; }
        /// <summary>
        /// SMTP服务器端口
        /// </summary>
        public int? F_SMTPPort { get; set; }
        #endregion
    }
}