﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace DigitalSchoolApi.Models
{
    public class ShowAuthorizeEntity
    {
        #region 实体成员
        /// <summary>
        /// Id
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 接收邮件地址
        /// </summary>
        public string EmailAddr { get; set; }
        /// <summary>
        /// 是否到期前提醒
        /// </summary>
        public int? IsRemind { get; set; }
        /// <summary>
        /// 到期时间（提前几天提醒）
        /// </summary>
        public int? ExpirationTime { get; set; }
        /// <summary>
        /// 邮件标题
        /// </summary>
        public string EmailTitle { get; set; }
        /// <summary>
        /// 邮件内容
        /// </summary>
        public string EmailContent { get; set; }
        /// <summary>
        /// CreateTime
        /// </summary>
        public DateTime? CreateTime { get; set; }
        /// <summary>
        /// CreateUserId
        /// </summary>
        public string CreateUserId { get; set; }
        /// <summary>
        /// ModifyTime
        /// </summary>
        public DateTime? ModifyTime { get; set; }
        /// <summary>
        /// ModifyUserId
        /// </summary>
        public string ModifyUserId { get; set; }
        #endregion
    }
}